%define name		aelfred
%define version		1.2
%define release		0.a.3jpp
%define javadir		%{_datadir}/java
%define javadocdir	%{_datadir}/javadoc
%define section		free
%define set_jvm		[ -f %{_bindir}/java-functions ] && . %{_bindir}/java-functions; set_jvm; export PATH=$PATH:$JAVA_HOME/bin


Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Java-based XML parser
License:	BSD-Style
Source0:	http://card4u.fhnon.de/XMLKlassen/microstar-Parser/aelfred.zip
Url:		http://www.microstar.com/XML/
BuildRequires:	jpackage-utils
Group:		Development/Java
Buildarch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
Vendor:		JPackage Project

%description
AElfred is a new Java-based XML parser from Microstar Software Ltd.
(http://www.microstar.com/), an established provider of XML and SGML
solutions.  AElfred is distributed for free (with full source) for both
commercial and non-commercial use, and is designed for easy and
efficient use over the Internet.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Java

%description javadoc
Javadoc for %{name}.

%package demo
Summary:	Demo for %{name}
Requires:	%{name} = %{version}-%{release}
Group:		Development/Java

%description demo
Demonstrations and samples for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -c %{name}-%{version}
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;
find . -name "*.class" -exec rm -f {} \;
rm -rf HTML/*

%build
%set_jvm
export CLASSPATH=
cd src
javac `find . -name \*.java`
javadoc -d ../HTML `find . -name \*.java`

%install
%set_jvm
# jar
cd src
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
jar cvf %{name}.jar -C . com/
install -m 644 %{name}.jar \
$RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}*; do \
ln -sf ${jar} ${jar/-%{version}/}; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr ../HTML/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
# data
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/Demo
cp -pr *.class $RPM_BUILD_ROOT%{_datadir}/%{name}/Demo

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README.txt FILES
%{javadir}/*
%dir %{_datadir}/%{name}

%files javadoc
%defattr(-,root,root)
%{javadocdir}/%{name}-%{version}

%files demo
%defattr(-,root,root)
%{_datadir}/%{name}/Demo

%changelog
* Sun Jan 26 2003 David Walluck <david@anti-microsoft.org> 1.2-0.a.3jpp
- fix permissions on sources

* Sun Jan 26 2003 David Walluck <david@anti-microsoft.org> 1.2-0.a.2jpp
- set JAVA_HOME/bin in PATH

* Mon Jan 20 2003 David Walluck <david@anti-microsoft.org> 1.2-0.a.1jpp
- release
